<?php
// Do not delete these lines
	if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
		die (_e('Please do not load this page directly. Thanks!','in-the-clouds'));

	if ( post_password_required() ) 
	{ 
	?>
		<p class="nocomments"><?php _e('This post is password protected. Enter the password to view comments.','in-the-clouds'); ?></p>
	<?php
		return;
	}
?>

<?php if ( have_comments() ) : ?>
	<h3 id="comments"><?php comments_number(__('No Responses','in-the-clouds'),__('One Response','in-the-clouds'),__('% Responses','in-the-clouds'));?> <?php _e('to &#8220;','in-the-clouds'); ?><?php the_title(); ?>&#8221;</h3>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>

	<ol class="commentlist">
	<?php wp_list_comments(); ?>
	</ol>

	<div class="navigation">
		<div class="alignleft"><?php previous_comments_link() ?></div>
		<div class="alignright"><?php next_comments_link() ?></div>
	</div>
 <?php else : ?>

	<?php if ( comments_open() ) : ?>

	 <?php else : ?>
		<p class="nocomments"><?php _e('Comments are closed.','in-the-clouds'); ?></p>

	<?php endif; ?>
<?php endif; ?>


<?php if ( comments_open() ) : ?>

<div id="respond">

<h3><?php comment_form_title(__('Leave a Reply', 'in-the-clouds'), __('Leave a Reply to %s', 'in-the-clouds')); ?></h3>

<div class="cancel-comment-reply">
	<small><?php cancel_comment_reply_link(); ?></small>
</div>

<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
	<p>You must be <a href="<?php echo wp_login_url( get_permalink() ); ?>">logged in</a> to post a comment.</p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( is_user_logged_in() ) : ?>

	<p><?php _e('Logged in as','in-the-clouds'); ?> <a href="<?php echo get_option('siteurl'); ?>/wp-admin/profile.php"><?php echo $user_identity; ?></a>. <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Disconnect','in-the-clouds'); ?>"><?php _e('Log out &raquo;','in-the-clouds'); ?></a></p>

<?php else : ?>

	<p><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
	<label for="author"><small><?php _e('Name', 'in-the-clouds'); ?> <?php if ($req) echo __('(required)', 'in-the-clouds'); ?></small></label></p>
	
	<p><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
	<label for="email"><small><?php _e('E-mail (will not be published)', 'in-the-clouds'); ?> <?php if ($req) echo __('(required)', 'in-the-clouds'); ?></small></label></p>
	
	<p><input type="text" name="url" id="url" value="<?php echo esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Web / Blog', 'in-the-clouds'); ?></small></label></p>

<?php endif; ?>

	<p><textarea name="comment" id="comment" cols="100%" rows="10" tabindex="4"></textarea></p>
	<p><input name="submit" type="submit" id="submit" tabindex="5" value="<?php _e('Comment', 'in-the-clouds'); ?>" />
	<?php comment_id_fields(); ?>
	</p>
	<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; ?>
</div>

<?php endif; ?>