<?php
$themename = "In the clouds";
$shortname = "clouds";
$options = array (
array(	"name" => "Twitter options",
      	"type" => "title"),
array(	"type" => "open"),
array(	"name" => "Username",
        "desc" => "Enter your username to display your latest twitts in the header.",
        "id" => $shortname."_welcome_title",
        "std" => "",
        "type" => "text"),
array(	"type" => "close")
);

function mytheme_add_admin() {
    global $themename, $shortname, $options;
    if ( $_GET['page'] == basename(__FILE__) ) {
        if ( 'save' == $_REQUEST['action'] ) {
                foreach ($options as $value) {
                    update_option( $value['id'], $_REQUEST[ $value['id'] ] ); }
                foreach ($options as $value) {
                    if( isset( $_REQUEST[ $value['id'] ] ) ) { 
						update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); 
					} else { 
						delete_option( $value['id'] ); 
					} 
				}
                header("Location: themes.php?page=functions.php&saved=true");
                die;
        } else if( 'reset' == $_REQUEST['action'] ) {
            foreach ($options as $value) {
                delete_option( $value['id'] ); 
			}
            header("Location: themes.php?page=functions.php&reset=true");
            die;
        }
    }
    add_theme_page($themename." Options", "".$themename." Options", 'edit_themes', basename(__FILE__), 'mytheme_admin');
}

function mytheme_admin() {
    global $themename, $shortname, $options;
    if ( $_REQUEST['saved'] ) 
		echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings saved.</strong></p></div>';
    if ( $_REQUEST['reset'] ) 
		echo '<div id="message" class="updated fade"><p><strong>'.$themename.' settings reset.</strong></p></div>';
?>
	<div class="wrap">
	<h2><?php echo $themename; ?> settings</h2>
	<form method="post">
	<?php 
	foreach ($options as $value) {
		switch ( $value['type'] ) {
			case "open":
	?>
			<table width="600" border="0" style="background-color:#eef5fb; padding:5px;">
			<?php 
				break;
				case "close":
			?>
			</table><br />
			<?php 
				break;
				case "title":
			?>
			<table width="600" border="0" style="background-color:#dceefc; padding:0 10px;">
			<tr>
				<td colspan="2">
				<h3 style="font-family:Georgia,'Times New Roman',Times,serif;"><?php echo $value['name']; ?></h3>
				</td>
			</tr>
			<?php 
				break;
				case 'text':
			?>
			<tr>
				<td width="20%" rowspan="2" valign="middle">
				<strong><?php echo $value['name']; ?></strong>
				</td>
				<td width="80%">
				<input style="width:400px;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
				</td>
			</tr>
			<?php
			break;
		}
	}
?>
	<div style="width:200px; float:left;">
		<p class="submit">
			<input name="save" type="submit" value="Save changes" />
			<input type="hidden" name="action" value="save" />
		</p>
	</div>
	</form>
	<form method="post">
		<div style="width:200px; float:left; margin-left:20px;">
			<p class="submit">
				<input name="reset" type="submit" value="Reset" />
				<input type="hidden" name="action" value="reset" />
			</p>
		</div>
	</form>
<?php
}

add_action('admin_menu', 'mytheme_add_admin'); 

if ( function_exists('register_sidebar') ) {
	register_sidebar(array(
		'before_widget' => '<li id="%1$s" class="widget %2$s">',
		'after_widget' => '</li>',
		'before_title' => '<h2 class="widgettitle">',
		'after_title' => '</h2>',
	));
}
?>