<?php load_theme_textdomain('in-the-clouds'); ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" <?php language_attributes(); ?>>
<head profile="http://gmpg.org/xfn/11">
<meta http-equiv="Content-Type" content="<?php bloginfo('html_type'); ?>; charset=<?php bloginfo('charset'); ?>" />
<title><?php wp_title('&laquo;', true, 'right'); ?> <?php bloginfo('name'); ?></title>
<link rel="stylesheet" href="<?php bloginfo('stylesheet_url'); ?>" type="text/css" media="screen" />
<link rel="pingback" href="<?php bloginfo('pingback_url'); ?>" />
<?php if ( is_singular() ) wp_enqueue_script( 'comment-reply' ); ?>
<?php wp_head(); ?>
</head>
<body <?php body_class(); ?>>
<div id="page">
<?php
global $options;
foreach ($options as $value) {
    if (get_settings( $value['id'] ) === FALSE) { 
		$$value['id'] = $value['std']; 
	} else { 
		$$value['id'] = get_settings( $value['id'] ); 
	}
}
?>
<div id="header" role="banner">
	<a href="http://www.twitter.com" title="Follow"><img src="<?php bloginfo('template_url'); ?>/images/bird.gif" alt="Twitter Theme" id="bird" /></a>
	<h1><a href="<?php echo get_option('home'); ?>/"><?php bloginfo('name'); ?></a></h1>
	<div class="description"><?php bloginfo('description'); ?></div>
	<div id="twitt">
	<img src="<?php bloginfo('template_url'); ?>/images/bubble.gif" alt="Twitt" id="twitt_bubble" />
	<?php
	$username = $clouds_welcome_title;
	if($username!='')
	{
		$prefix = "";
		$suffix = ' <a href="http://www.twitter.com/'.$username.'">#</a>';
		$feed = "http://search.twitter.com/search.atom?q=from:" . $username . "&rpp=1";
		function parse_feed($feed)
		{
			$stepOne = explode("<content type=\"html\">", $feed);
			$stepTwo = explode("</content>", $stepOne[1]);
			$tweet = $stepTwo[0];
			$tweet = str_replace("&lt;", "<", $tweet);
			$tweet = str_replace("&gt;", ">", $tweet);
			return $tweet;
		}
		$twitterFeed = file_get_contents($feed);
		echo stripslashes($prefix) . parse_feed($twitterFeed) . stripslashes($suffix);
	}
	?>
	</div>
	<form method="get" id="searchform" action="<?php bloginfo('url'); ?>/">
		<label class="hidden" for="s"><?php _e('Search:','in-the-clouds'); ?></label>
		<div>
			<input type="text" value="<?php the_search_query(); ?>" name="s" id="s" />
			<input type="submit" id="searchsubmit" value="<?php _e('Search','in-the-clouds'); ?>" />
		</div>
	</form>
</div>
<div id="mainmenu">
	<ul>
		<?php wp_list_pages('title_li='); ?>
	</ul>
<br class="clear" />
</div>