<?php get_header(); ?>
	<div id="content" class="narrowcolumn" role="main">
	<?php if (have_posts()) : ?>
		<?php while (have_posts()) : the_post(); ?>
		
			<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
				<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php _e('Permanent Link','in-the-clouds'); ?> <?php the_title_attribute(); ?>"><?php the_title(); ?></a></h2>
				<small><?php the_time('F jS, Y') ?> by <?php the_author() ?></small>
				
				<div class="entry">
					<?php the_content(__('Read the rest of this entry &raquo;','in-the-clouds')); ?>
				</div>
				<p class="postmetadata"><?php the_tags(__('Tags: ','in-the-clouds'), ', ', '<br />'); ?> <?php _e('Posted in','in-the-clouds'); ?> <?php the_category(', ') ?> | <?php edit_post_link(__('Edit','in-the-clouds'), '', ' | '); ?>  <?php comments_popup_link(__('No Responses &#187;','in-the-clouds'),__('One Response &#187;','in-the-clouds'),__('% Responses &#187;','in-the-clouds')); ?></p>
			</div>

		<?php endwhile; ?>

		<div class="navigation">
			<div class="alignleft"><?php next_posts_link(__('more','in-the-clouds')) ?></div>
			<div class="alignright"><?php previous_posts_link(__('less','in-the-clouds')) ?></div>
		</div>

	<?php else : ?>

		<h2 class="center"><?php _e('Not Found.','in-the-clouds'); ?></h2>
		<p class="center"><?php _e('Sorry, but you are looking for something that isn&acute;t here.','in-the-clouds'); ?></p>

	<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>