<div id="sidebar" role="complementary">
		<ul>
			<?php 	/* Sidebar por defecto, si no existe dinamico. */
					if ( !function_exists('dynamic_sidebar') || !dynamic_sidebar() ) : ?>
			<li>
				<?php get_search_form(); ?>
			</li>

			<?php if ( is_404() || is_category() || is_day() || is_month() ||
						is_year() || is_search() || is_paged() ) {
			?> <li>

			<?php /* Si es una pagina 404 */ if (is_404()) { ?>
			<?php /* Si son las categorias */ } elseif (is_category()) { ?>
			<p><?php _e('You are currently browsing the archives for the','in-the-clouds');?> <?php single_cat_title(''); ?> <?php _e('category','in-the-clouds'); ?>.</p>

			<?php /* Si es el archivo diario */ } elseif (is_day()) { ?>
			<p><?php _e('You are currently browsing the','in-the-clouds'); ?> <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> <?php _e('blog archives for the day','in-the-clouds'); ?> <?php the_time('l, F jS, Y'); ?>.</p>

			<?php /* Si es el archivo mensual */ } elseif (is_month()) { ?>
			<p><?php _e('You are currently browsing the','in-the-clouds'); ?> <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> <?php _e('blog archives for','in-the-clouds'); ?> <?php the_time('F, Y'); ?>.</p>

			<?php /* Si es el archivo anual */ } elseif (is_year()) { ?>
			<p><?php _e('You are currently browsing the','in-the-clouds'); ?> <a href="<?php bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> <?php _e('blog archives for the year','in-the-clouds'); ?> <?php the_time('Y'); ?>.</p>

			<?php /* Si es el archivo mensual */ } elseif (is_search()) { ?>
			<p><?php _e('You have searched the','in-the-clouds'); ?> <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> <?php _e('blog archives for','in-the-clouds'); ?> <strong><?php the_search_query(); ?></strong>. <?php _e('If you are unable to find anything in these search results, you can try one of these links','in-the-clouds'); ?>.</p>

			<?php /* Si es el archivo mensual */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<p><?php _e('You are currently browsing the','in-the-clouds'); ?> <a href="<?php echo bloginfo('url'); ?>/"><?php echo bloginfo('name'); ?></a> <?php _e('blog archives','in-the-clouds'); ?>.</p>

			<?php } ?>

			</li>
		<?php }?>
		</ul>
		<ul role="navigation">
			<?php wp_list_pages(__('title_li=<h2>Pages</h2>','in-the-clouds')); ?>

			<li><h2><?php _e('Archives','in-the-clouds'); ?></h2>
				<ul>
				<?php wp_get_archives('type=monthly'); ?>
				</ul>
			</li>

			<?php wp_list_categories(__('show_count=1&title_li=<h2>Categories</h2>','in-the-clouds')); ?>
		</ul>
		<ul>
			<?php /* Si es frontpage */ if ( is_home() || is_page() ) { ?>
				<?php wp_list_bookmarks(); ?>

				<li><h2><?php _e('Meta','in-the-clouds'); ?></h2>
				<ul>
					<?php wp_register(); ?>
					<li><?php wp_loginout(); ?></li>
					<li><a href="http://validator.w3.org/check/referer" title="<?php _e('This page validates as XHTML 1.0 Transitional','in-the-clouds'); ?>"><?php _e('Valid <abbr title="eXtensible HyperText Markup Language">XHTML</abbr>','in-the-clouds'); ?></a></li>
					<li><a href="http://gmpg.org/xfn/"><abbr title="XHTML Friends Network">XFN</abbr></a></li>
					<li><a href="http://wordpress.org/" title="<?php _e('Powered by WordPress, state-of-the-art semantic personal publishing platform.','in-the-clouds'); ?>">WordPress</a></li>
					<?php wp_meta(); ?>
				</ul>
				</li>
			<?php } ?>

			<?php endif; ?>
		</ul>
	</div>

