<?php get_header(); ?>
	<div id="content" class="widecolumn" role="main">

	<?php if (have_posts()) : while (have_posts()) : the_post(); ?>

		<div <?php post_class() ?> id="post-<?php the_ID(); ?>">
			<h2><?php the_title(); ?></h2>

			<div class="entry">
				<p><?php the_content(__('Read the rest of this entry &raquo;','in-the-clouds')); ?></p>

				<?php wp_link_pages(array('before' =>__('<p><strong>Pages:</strong> ','in-the-clouds'), 'after' => '</p>', 'next_or_number' => 'number')); ?>
				<?php the_tags( __('<p>Tags: ','in-the-clouds'), ', ', '</p>'); ?>

				<p class="postmetadata alt">
				<?php the_meta ();	?>
					<small>
						<?php _e('This entry was posted on','in-the-clouds'); ?> <?php the_time('l, F jS, Y'); ?> <?php _e('at','in-the-clouds'); ?> <?php the_time() ?> <?php _e('and is filed under','in-the-clouds'); ?> <?php the_category(', ')?>. <?php _e('You can follow any responses to this entry through the','in-the-clouds'); ?> <?php post_comments_feed_link('RSS 2.0')?> <?php _e('feed','in-the-clouds'); ?>, 
						
					 <?php if ( comments_open() && pings_open() ) { ?>
						<?php _e('You can','in-the-clouds'); ?> <a href="#respond"><?php _e('leave a response','in-the-clouds'); ?></a>, <?php _e('or','in-the-clouds'); ?> <a href="<?php trackback_url()?>" rel="trackback">trackback</a> <?php _e('from your own site','in-the-clouds'); ?>.
						
					<?php } elseif ( !comments_open() && pings_open() ) { ?>
						<?php _e('Responses are currently closed, but you can','in-the-clouds'); ?> <a href="<?php trackback_url()?>" rel="trackback">trackback</a> <?php _e('from your own site','in-the-clouds'); ?>.
					
					<?php } elseif ( comments_open() && !pings_open() ) { ?>
						<?php _e('You can skip to the end and leave a','in-the-clouds'); ?> <a href="#respond"><?php _e('response','in-the-clouds'); ?></a>. <?php _e('Pinging is currently not allowed','in-the-clouds'); ?>.
					
					<?php } elseif ( !comments_open() && !pings_open() ) { ?>
						<?php _e('Both comments and pings are currently closed','in-the-clouds'); ?>.

					<?php } edit_post_link(__('Edit this post','in-the-clouds'),'','.'); ?>

					</small>
				</p>

			</div>
		</div>

	<?php comments_template(); ?>

	<div class="navigation">
		<div class="alignleft"><?php previous_post_link('%link') ?></div>
		<div class="alignright"><?php next_post_link('%link') ?></div>
	</div>
		
	<?php endwhile; else: ?>

		<p><?php _e('Sorry, no posts matched your criteria.','in-the-clouds'); ?></p>

<?php endif; ?>

	</div>

<?php get_sidebar(); ?>

<?php get_footer(); ?>